Subject: FVWM: Outstanding Issues

From: David <[email-masked]>
Date: Wed, 21 Nov 2001 15:45:12 GMT

Hi again,

I wish I knew the answers to these questions:

   1. How do I get fvwm to recognize the x,y location of 
      a popup window when it is specified in the .ad file?

   2. In gdb, how do I get <cntl>c to break into the 
      debugger rather than kill the xwindoes sessions?

   3. In gdb, how do I direct stdout to the command line
      rather than to a dos shell window?

   4. Why can't I run a startup script from a make file:
      when I do I get some signal errors from gdb?

1. I read the faq on window placement and it said all the
popup window manager options are called upon only if the 
window is not placed by the application - which must 
include the .ad file. However, I don't get that behavior.
I was able to use Style * Tile Cascade Placement 
and Style * NoTransientPPosition and Style * NoTransientUSPosition
to get the popups to tile, but I can't get them to go where
the x,y setting in the ad file says.

2. Self Explanatory? I'm in the gdb window and hit <cntl>c
and the xwindow goes away.

3. Does anyone know? I tried running gdb pgm > pgm.out
and while that does redirect stdout, it doesn't stop 
the popup window and then or course I don't see the
gdb out.

4. I get this: "Program received ?, Unknown signal" and
then "Program recevied signal SIGSEGV, Segmentation fault"
twice. If I run the shell from the command line, no problem.

David
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].